summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Zbigniew Baniewski <zb@ispid.com.pl>2011-01-09 14:29:21 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:25 -0600
commitcf101606b2bc861fe79ef1c2a67e5224246770f2 (patch)
treed3d841a793883df5ff094666c39e05f503e211f9 /libraries
parent45efa22b410258cb34b3f50208653f0c3bce78ff (diff)
downloadslackbuilds-cf101606b2bc861fe79ef1c2a67e5224246770f2.tar.gz
slackbuilds-cf101606b2bc861fe79ef1c2a67e5224246770f2.tar.xz
libraries/nextaw: Added (Athena (libXaw) replacement library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/nextaw/README4
-rw-r--r--libraries/nextaw/nextaw.SlackBuild81
-rw-r--r--libraries/nextaw/nextaw.info10
-rw-r--r--libraries/nextaw/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/libraries/nextaw/README b/libraries/nextaw/README
new file mode 100644
index 0000000000..7c59aba01c
--- /dev/null
+++ b/libraries/nextaw/README
@@ -0,0 +1,4 @@
+neXtaw is a replacement library for the Athena (libXaw) widget set. It is
+based on Xaw3d, by Kaleb Keithley and is almost 100% backward compatible
+with it. Its goal is to try to emulate the look and feel of the N*XTSTEP
+GUI.
diff --git a/libraries/nextaw/nextaw.SlackBuild b/libraries/nextaw/nextaw.SlackBuild
new file mode 100644
index 0000000000..a6d25216b2
--- /dev/null
+++ b/libraries/nextaw/nextaw.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for nextaw
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=nextaw
+VERSION=0.15.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=neXtaw
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README ChangeLog TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/nextaw/nextaw.info b/libraries/nextaw/nextaw.info
new file mode 100644
index 0000000000..6e1ea93f6e
--- /dev/null
+++ b/libraries/nextaw/nextaw.info
@@ -0,0 +1,10 @@
+PRGNAM="nextaw"
+VERSION="0.15.1"
+HOMEPAGE="http://siag.nu/neXtaw/"
+DOWNLOAD="http://siag.nu/pub/neXtaw/neXtaw-0.15.1.tar.gz"
+MD5SUM="1c9cbcef735d8e26f3e48bd529aca6a7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/libraries/nextaw/slack-desc b/libraries/nextaw/slack-desc
new file mode 100644
index 0000000000..d83620b0ff
--- /dev/null
+++ b/libraries/nextaw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nextaw: nextaw (Athena (libXaw) replacement library)
+nextaw:
+nextaw: neXtaw is a replacement library for the Athena (libXaw) widget set. It
+nextaw: is based on Xaw3d, by Kaleb Keithley and is almost 100% backward
+nextaw: compatible with it. Its goal is to try to emulate the look and feel of
+nextaw: the N*XTSTEP GUI.
+nextaw:
+nextaw: http://siag.nu/neXtaw/
+nextaw:
+nextaw:
+nextaw: